<?php

namespace inter\phpStruct;

class Func
{
    private $name;
    private $isStatic;

    public function SetName(string $name): self
    {
        $this->name = $name;
        return $this;
    }

    public function SetIsStatic(): self
    {
        $this->isStatic = true;
        return $this;
    }
}
